MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::GDIISOpt Class Reference
Inheritance diagram for sc::GDIISOpt:

List of all members.

## Public Member Functions

| GDIISOpt (const Ref< KeyVal > &)
| GDIISOpt (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | init ()
| Initialize the optimizer.
int | update ()
| Take a step.

## Protected Attributes

int | nsave
int | diis_iter
double | maxabs_gradient
double | convergence_
double | accuracy_
RefSCVector * | coords_
RefSCVector * | grad_
RefSCVector * | error_
RefSymmSCMatrix | ihessian_
Ref< HessianUpdate > | update_

## Member Function Documentation

void sc::GDIISOpt::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::Optimize.

int sc::GDIISOpt::update | ( |  | ) | `[virtual]`

Take a step.

Returns 1 if the optimization has converged, otherwise 0.

Implements sc::Optimize.

The documentation for this class was generated from the following file:

- gdiis.h